Sample structures of the E_KYC_CHECK API responses for Ghana PIN verification (gha_gov_pin).
GREEN
The following response example represents successful checks.
{
"checks": [
{
"answer": "GREEN",
"checkType": "E_KYC_CHECK",
"createdAt": "2026-11-10 10:24:31",
"id": "282d156e-53e6-4bab-b16c-5e9e7c68e1ab",
"sourceInfo": {
"id": "gha_gov_pin"
},
"inputDoc": {
"idDocType": "TAX_PAYER_NUMBER_DOC",
"country": "GHA",
"number": "GHA-000000000-8"
},
"extractedDoc": {
"country": "GHA",
"idDocType": "ID_CARD",
"number": "GHA-000000000-8",
"firstName": "Kwame",
"middleName": "Kofi",
"lastName": "Owusu",
"gender": "M",
"phone": "+233244815372",
"email": "[email protected]",
"dob": "1987-03-14",
"addresses": [
{
"subStreet": "Atonsu",
"street": "Lake Road",
"state": "Ashanti",
"town": "Asokwa",
"postCode": "AK-039",
"country": "GHA",
"formattedAddress": "AK-039-5028, Lake Road, Atonsu, Asokwa, Ashanti, Ghana",
"providedLocationPosition": {
"locationCoords": {
"lat": 6.6667,
"lon": -1.6067
}
},
"source": "externalDb"
}
],
"placeOfBirth": "Ashanti",
"nationality": "GHA",
"tin": "GHA-000000000-8",
"issueDate": "2020-11-05",
"validUntil": "2030-11-04",
"images": [
{
"imageId": 511474663
}
],
"additionalFields": [
{
"name": "occupation",
"value": "Student"
},
{
"name": "digitalAddress",
"value": "AK-039-5028"
}
]
},
"databasePersonCheckInfo": {},
"ekycCheckInfo": {
"externalFaceMatch": true,
"faceMatchAnswer": "GREEN",
"selfieImageId": 1234567890
}
}
]
}YELLOW
See the following examples, each illustrating a different case: one where verification is in progress, and another where selfie resubmission is required.
{
"checks": [
{
"answer": "YELLOW",
"checkType": "E_KYC_CHECK",
"createdAt": "2026-11-11 04:56:25",
"id": "a90f2b13-d059-4502-a4ce-7c074aa9009a",
"sourceInfo": {
"id": "gha_gov_pin"
},
"inputDoc": {
"idDocType": "TAX_PAYER_NUMBER_DOC",
"country": "GHA",
"number": "GHA-000000000-8"
},
"ekycCheckInfo": {
"externalFaceMatch": true
}
}
]
}{
"checks": [
{
"answer": "YELLOW",
"checkType": "E_KYC_CHECK",
"createdAt": "2026-11-10 10:08:09",
"id": "b20ab934-2652-470e-95c7-f7caad801f2f",
"sourceInfo": {
"id": "gha_gov_pin"
},
"inputDoc": {
"idDocType": "TAX_PAYER_NUMBER_DOC",
"country": "GHA",
"number": "GHA-000000000-8"
},
"databasePersonCheckInfo": {},
"ekycCheckInfo": {
"externalFaceMatch": true,
"faceMatchAnswer": "YELLOW",
"selfieImageId": 1234567890
}
}
]
}RED
The following response example represents a rejection case where the applicant failed Non-Doc Identity Verification due to a data mismatch or an absence of information in the database.
{
"checks": [
{
"answer": "RED",
"checkType": "E_KYC_CHECK",
"createdAt": "2026-11-09 14:53:52",
"id": "521c2f92-818d-4501-89ad-f2e837195ead",
"sourceInfo": {
"id": "gha_gov_pin"
},
"inputDoc": {
"idDocType": "TAX_PAYER_NUMBER_DOC",
"country": "GHA",
"number": "GHA-000000000-8"
},
"ekycCheckInfo": {
"externalFaceMatch": true
},
"violations": [
"DATA_NOT_FOUND"
]
}
]
}ERROR
The following example represents a case where verification was not completed because the service was unavailable or the system failed to process the response.
{
"checks": [
{
"answer": "ERROR",
"checkType": "E_KYC_CHECK",
"createdAt": "2025-02-05 12:46:04",
"id": "6bf059dc-03d6-4c4c-96d6-d4fec6245def",
"sourceInfo": {
"id": "gha_gov_pin"
},
"inputDoc": {
"idDocType": "TAX_PAYER_NUMBER_DOC",
"country": "GHA",
"firstName": "Kwame",
"middleName": "Kofi""lastName": "Owusu",
"number": "GHA-000000000-8",
"dob": "1987-03-14"
},
"ekycCheckInfo": {}
}
]
}